package com.kxs.common.pay.handlers;

import com.kxs.common.pay.enums.PayPlatformEnum;
import com.kxs.common.pay.model.PayMessage;
import com.kxs.common.pay.service.PayService;
import org.springframework.core.Ordered;

import java.util.Map;

/**
 * 支付消息处理程序
 *
 * @author 没秃顶的码农
 * @date 2024-04-28
 */
public interface PayMessageHandler<M extends PayMessage, S extends PayService>  extends Ordered {

    String handle(M var1, S var2);

    /**
     * 是否支持此支付平台
     *
     * @return boolean
     */
    default boolean support(PayPlatformEnum payPlatformEnum) {
        return true;
    }
}
